com.corticon.rulesemf.canonicalvocabularymodel.metadata.database

## Interface DatabaseMetadata

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface DatabaseMetadata
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Metadata'.

  The following features are supported:

  - `Import Date`
  - `Table Metadata List`
  See Also:
    `DatabasePackage.getDatabaseMetadata()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getImportDate()` Returns the value of the 'Import Date' attribute
    `org.eclipse.emf.common.util.EList` | `getTableMetadataList()` Returns the value of the 'Table Metadata List' containment reference list.
    `void` | `setImportDate(java.util.Date value)` Sets the value of the '`Import Date`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getImportDate

          java.util.Date getImportDate()

      Returns the value of the 'Import Date' attribute.

      If the meaning of the 'Import Date' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Import Date' attribute.
      See Also:
        `setImportDate(Date)`, `DatabasePackage.getDatabaseMetadata_ImportDate()`

    - #### setImportDate

          void setImportDate(java.util.Date value)

      Sets the value of the '`Import Date`' attribute.
      Parameters:
        `value` - the new value of the 'Import Date' attribute.
      See Also:
        `getImportDate()`

    - #### getTableMetadataList

          org.eclipse.emf.common.util.EList getTableMetadataList()

      Returns the value of the 'Table Metadata List' containment reference list. The list contents are of type `TableMetadata`.

      If the meaning of the 'Table Metadata List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Table Metadata List' containment reference list.
      See Also:
        `DatabasePackage.getDatabaseMetadata_TableMetadataList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.